• Post Reply Bookmark Topic Watch Topic
  • New Topic
programming forums Java Mobile Certification Databases Caching Books Engineering Micro Controllers OS Languages Paradigms IDEs Build Tools Frameworks Application Servers Open Source This Site Careers Other Pie Elite all forums
this forum made possible by our volunteer staff, including ...
Marshals:
  • Campbell Ritchie
  • Paul Clapham
  • Ron McLeod
  • Tim Cooke
  • Junilu Lacar
Sheriffs:
  • Rob Spoor
  • Devaka Cooray
  • Jeanne Boyarsky
Saloon Keepers:
  • Jesse Silverman
  • Stephan van Hulst
  • Tim Moores
  • Carey Brown
  • Tim Holloway
Bartenders:
  • Jj Roberts
  • Al Hobbs
  • Piet Souris

UnsupportedClassVersionError with Tomcat 5.0.28

 
Greenhorn
Posts: 28
  • Mark post as helpful
  • send pies
    Number of slices to send:
    Optional 'thank-you' note:
  • Quote
  • Report post to moderator
Hi all,

Iam using tomcat 5.0.28 version, jdk 1.4.2_12,eclipse 3.2 ,struts 1.2.9

I have installed the sysdeo plugin and tomcat is starting properly.But when i execute a simple struts project (struts blank.war)

I am getting the following error . the same error is obtained when i run by starting tomcat outside eclipse.




When I load struts-blank.war directly into webapps dir and exceute I am able to run properly. What cud be the problem?

Thanks
Sunitha
 
Author
Posts: 531
Mac OS X Netbeans IDE Java
  • Mark post as helpful
  • send pies
    Number of slices to send:
    Optional 'thank-you' note:
  • Quote
  • Report post to moderator
it means that JDK version that used to build the struts library or your own classes is a newer version that JDK that is used by tomcat.

so :
-Update tomcat JDK
-build your own source code and/or Struts source code using JDK version that your tomcat is using.
 
You showed up just in time for the waffles! And this tiny ad:
Building a Better World in your Backyard by Paul Wheaton and Shawn Klassen-Koop
https://coderanch.com/wiki/718759/books/Building-World-Backyard-Paul-Wheaton
reply
    Bookmark Topic Watch Topic
  • New Topic